Package org.eclipse.birt.core.script

# Class ScriptContext

java.lang.Object
org.eclipse.birt.core.script.ScriptContext

All Implemented Interfaces:
  `IScriptContext`

public class ScriptContext extends Object implements IScriptContext

## Constructor Summary

Constructors
Constructor
Description
`ScriptContext()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ICompiledScript`
`compile(String language, String fileName, int lineNo, String script)`
`Object`
`evaluate(ICompiledScript script)`
`ClassLoader`
`getApplicationClassLoader()`
`Map<String,Object>`
`getAttributes()`
`Locale`
`getLocale()`
`ScriptContext`
`getParent()`
`Object`
`getScopeObject()`
`IScriptContext`
`getScriptContext(String language)`
`IScriptEngine`
`getScriptEngine(String scriptName)`
`com.ibm.icu.util.TimeZone`
`getTimeZone()`
`ScriptContext`
`newContext(Object scope)`
`ScriptContext`
`newContext(Object scope, Map<String,Object> attributes)`
`void`
`removeAttribute(String name)`
`void`
`setApplicationClassLoader(ClassLoader loader)`
the user can only set the application class loader to the top most context.
`void`
`setAttribute(String name, Object value)`
`void`
`setAttributes(Map<String,Object> attributes)`
`void`
`setLocale(Locale locale)`
`void`
`setScriptContext(String language, IScriptContext scriptContext)`
`void`
`setTimeZone(com.ibm.icu.util.TimeZone timeZone)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptContext

public ScriptContext()

## Method Details

### getApplicationClassLoader

public ClassLoader getApplicationClassLoader()

### setApplicationClassLoader

public void setApplicationClassLoader(ClassLoader loader)
the user can only set the application class loader to the top most context.

### newContext

public ScriptContext newContext(Object scope)

### newContext

public ScriptContext newContext(Object scope, Map<String,Object> attributes)

### getAttributes

public Map<String,Object> getAttributes()

### setAttributes

public void setAttributes(Map<String,Object> attributes)

### setAttribute

public void setAttribute(String name, Object value)

Specified by:
  `setAttribute` in interface `IScriptContext`

### removeAttribute

public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `IScriptContext`

### compile

public ICompiledScript compile(String language, String fileName, int lineNo, String script) throws BirtException

Throws:
  `BirtException`

### evaluate

public Object evaluate(ICompiledScript script) throws BirtException

Throws:
  `BirtException`

### setLocale

public void setLocale(Locale locale)

### getLocale

public Locale getLocale()

### setTimeZone

public void setTimeZone(com.ibm.icu.util.TimeZone timeZone)

### getTimeZone

public com.ibm.icu.util.TimeZone getTimeZone()

### close

public void close()

### getScriptEngine

public IScriptEngine getScriptEngine(String scriptName) throws BirtException

Throws:
  `BirtException`

### getParent

public ScriptContext getParent()

### getScopeObject

public Object getScopeObject()

### getScriptContext

public IScriptContext getScriptContext(String language)

### setScriptContext

public void setScriptContext(String language, IScriptContext scriptContext)